API ReferenceapicommsGET /v1/notifications/unread-count

GET /v1/notifications/unread-count

Service: comms · operationId: (none)

Required scopes

(no scope declared — review service config)

Responses

200 Unread notification count

{
  "type": "object",
  "properties": {
    "count": {
      "type": "integer"
    }
  },
  "required": [
    "count"
  ]
}

403 Missing brand context

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

500 Unread notification count could not be loaded

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://comms.platform.loop.health/v1/notifications/unread-count \
  -H "Authorization: Bearer $ACCESS_TOKEN"